/*-----------------------------------------
            !!UNFINISHED CODE!!
-----------------------------------------*/

package md3.md3view;

import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import java.net.*;

/**
 * <p>Applet version of the MD3View application. This applet creates a button
 * that will pop up an MD3View frame with a specified serialized model in it.
 *
 * @author Erwin Vervaet (erwin@cs.kuleuven.ac.be)
 */
public class MD3ViewApplet extends Applet {
	
  private MD3View md3v;
  
  public void init() {
    //create MD3View window and make it visible
    //it must be visible, otherwise we can't render on it!
    md3v=MD3View.instance();
    md3v.setVisible(true);
    
    int skinNum=new Integer(getParameter("skinNum")).intValue();
    for (int i=0;i<skinNum;i++) {
      final int currentSkin=i; //we need this in the inner class
        
      Button showSkinButton=new Button("Show " + getParameter("skinName"+currentSkin) + " skin...");
      this.add(showSkinButton);      
      showSkinButton.addActionListener(new ActionListener() {
        public void actionPerformed(ActionEvent e) {
          md3v.setVisible(true);
          try {
            URL url=new URL(getDocumentBase(),getParameter("serializedModelFileName"+currentSkin));
            //md3v.loadModel(url);
          } catch (Exception ex) {
            MD3View.instance().showExceptionDialog(ex.getMessage());
          }
          md3v.md3canvas.sDisplay();
        }
      });
    }
  }
  
  public void destroy() {
    if (md3v!=null) md3v.shutdown();
  }  
}